// Rowley MSP430 C Compiler, runtime support.
//
// Copyright (c) 2001, 2002 Rowley Associates Limited.
//
// This file may be distributed under the terms of the License Agreement
// provided with this software.
//
// THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#ifndef __in430_H
#define __in430_H

// Swap byte order within a word
unsigned _SWPB(unsigned);

// Swap byte order within a long
unsigned long _LSWPB(unsigned long);

// Swap word order within a long
unsigned long _LSWPW(unsigned long);

unsigned _BIS_SR(unsigned);
unsigned _BIC_SR(unsigned);
unsigned _BIS_SR_IRQ(unsigned);
unsigned _BIC_SR_IRQ(unsigned);
unsigned _BIS_NMI_IE1(unsigned);

#define _DINT()  _BIC_SR(8)
#define _EINT()  _BIS_SR(8)

void _NOP(void);
void _OPC(const unsigned op);

#endif
